Subject: Re: ETA for release of gjit 0.4?

From: Farrukh Najmi <[email-masked]>
Date: Sat, 06 Dec 2008 13:57:00 -0500

Robin Rosenberg wrote:
> fredag 05 december 2008 15:34:36 skrev Farrukh Najmi:
>   
>> Dear colleagues,
>>
>> I am using jgit in my maven project. Since current version is a SNAPSHOT 
>> (0.4-SNAPSHOT) I cannot release my project with a SNAPSHOT dependency 
>> (maven does not allow it). WHat is the time line for releasing version 
>> 0.4 of jgit so I can plan accordingly.
>> Thanks for any info.
>>     
>
> What? Plan? :)
>   

:-)

> You could name the version something else like 0.3.1.42b27c 
>
>   

I could but maven (and good project release) practices are that a 
project's release version should be managed by the project and not 
consumers of the project.

BTW, If there is interest in maveninzing the project I can offer to 
contribute that change to the project. Just let me know if that is 
something the project wishes to do.

Maven offers many benefits to projects as described in links below. It 
takes a little getting used to for project dev team but its not bad. It 
does not impact consumers of projects negatively in any way.

Background blog:
<http://farrukhnajmi.blogspot.com/2008/02/why-maven-rocks-in-beginning-there-was.html>

More useful link:
<http://ebxmlrr.wiki.sourceforge.net/whymaven>

Thanks for a great project.

> It was a long time since we labeled anything. Shawn, how about merging
> my recent close-file-patches, reverting 3ffa47d9294086fbd1cdeb9b1564f922a23e3c6f
> and e7307f14c531d52cf231c39d844841c4adaf5e5a and then just call i 0.4 ?
>
> -- robin
>
> # from my pu branch, the latest Tentative build in the update site. Works quite well for
> me. Refactoring and 
> $ git log --pretty=oneline origin/master..pu
> 2aafc054446f9b3aecdc01687a6949e4c54be6eb Revert "Rewrite GitMoveDeleteHook to use DirCacheBuilder"
> 439277860e1e315b7f0cd339b2435cc8311956c1 Revert "Teach GitMoveDeleteHook how to move a folder recursively"
> abc44bc6efa47c4c6e3c23f85fe9de9cd8460224 Improve closing of files in error situations.
> 22e2808ac2915446ed81115b663c684341ce6bdd Close a forgotten reference to the HEAD ref.
>
>   

-- 
Regards,
Farrukh Najmi

Web: http://www.wellfleetsoftware.com